<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="utf-8">
        <title>Add Index Data</title>
    </head>
    <body>
        <div class="container my-5">
            <h2 class="mb-5">New Index</h2>
             <div class="row">
                <div class="col-md-6">
                    <form action="#" th:action="@{/addindex}" th:object="${indices}" method="post">
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label for="quarter" class="col-form-label">Quarter</label>
                                <input type="text" th:field="*{quarter}" class="form-control" id="quarter" placeholder="Quarter">
                                <span th:if="${#fields.hasErrors('quarter')}" th:errors="*{quarter}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="stock_ticker" class="col-form-label">Stock Ticker</label>
                                <input type="text" th:field="*{stock}" class="form-control" id="stock" placeholder="Stock">
                                <span th:if="${#fields.hasErrors('stock')}" th:errors="*{stock}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="date" class="col-form-label">Date</label>
                                <input type="text" th:field="*{date}" class="form-control" id="date" placeholder="Date">
                                <span th:if="${#fields.hasErrors('date')}" th:errors="*{date}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="open" class="col-form-label">Open</label>
                                <input type="text" th:field="*{open}" class="form-control" id="open" placeholder="Open">
                                <span th:if="${#fields.hasErrors('open')}" th:errors="*{open}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="high" class="col-form-label">High</label>
                                <input type="text" th:field="*{high}" class="form-control" id="high" placeholder="High">
                                <span th:if="${#fields.hasErrors('high')}" th:errors="*{high}" class="text-danger"></span>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="percent_return_next_dividend" class="col-form-label">PercentReturnNextDividend</label>
                                <input type="text" th:field="*{percent_return_next_dividend}" class="form-control" id="percent_return_next_dividend" placeholder="percent_return_next_dividend">
                                <span th:if="${#fields.hasErrors('percent_return_next_dividend')}" th:errors="*{percent_return_next_dividend}" class="text-danger"></span>
                            </div>
                        
                        <div class="row">
                            <div class="col-md-6 mt-5">
                                <input type="submit" class="btn btn-primary" value="Add Index">
                            </div>
                        </div>    
                    </form>
                </div>
            </div>
        </div> 
    </body>
</html>